com.ihr.xbrl.om.errors

## Class XBRLSerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.om.errors.XBRLSerializationException

- All Implemented Interfaces:
    java.io.Serializable

      public class XBRLSerializationException
      extends java.lang.Exception

  Generated when errors occurs during the serialization of the objects in XML fragments, documents, attributes etc. Encapsulates IOExceptions and other XML API exceptions.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SERIALIZATION_EXCEPTION` The Constant SERIALIZATION_EXCEPTION.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLSerializationException(java.lang.String string)` Instantiates a new XBRL serialization exception.
    `XBRLSerializationException(java.lang.String string, java.lang.Exception e)` Instantiates a new XBRL serialization exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Gets the code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SERIALIZATION_EXCEPTION

          public static final int SERIALIZATION_EXCEPTION

      The Constant SERIALIZATION_EXCEPTION.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBRLSerializationException

          public XBRLSerializationException(java.lang.String string,
                                    java.lang.Exception e)

      Instantiates a new XBRL serialization exception.
      Parameters:
        `string` - the string
        `e` - the e

    - #### XBRLSerializationException

          public XBRLSerializationException(java.lang.String string)

      Instantiates a new XBRL serialization exception.
      Parameters:
        `string` - the string

  - ### Method Detail

    - #### getCode

          public int getCode()

      Gets the code.
      Returns:
        the code